## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csCLQAttenuation Struct Reference

Constant, Linear, Quadratic attenuation Out = in /(const + distance*lin + distance^2*quad). More...

`#include <csgfx/vertexlight.h>`

List of all members.

## Public Member Functions

| csCLQAttenuation (const csLightProperties &light)
void | operator() (float distance, float &dp) const

## Public Attributes

csVector3 | attnVec

## Detailed Description

Constant, Linear, Quadratic attenuation Out = in /(const + distance*lin + distance^2*quad).

Definition at line 186 of file vertexlight.h.

The documentation for this struct was generated from the following file:

- csgfx/vertexlight.h